#version 130

uniform vec3 sunPosition;
uniform vec3 playerPos;

in vec3 vPosition;

out vec3 fWorldPos;

void main()
{		
	fWorldPos = vPosition + playerPos;
	gl_Position = gl_ModelViewProjectionMatrix * vec4(fWorldPos, 1);
}
